<?php

/**
 * @version      $Id: website_menu.php
 * @package      Easyshop
 * @copyright    Copyright (C) 2005 - 2011 TA-EDV
 * @license      proprietary
 * @author       Richard Kammermayer <rk@ta-edv.de>
 * Easyshop is a web shop system
 */

class website_menu {

	public $base_object;
	public $layout_object;
	public $website_object;

	public function __construct($base_object, $layout_object) {
		$this->base_object = $base_object;
		$this->layout_object = $layout_object;
	}

	function run() {
		$menuData = $this->website_object->main_widget_menu_advanced($_POST['config']);
		
		$this->layout_object->assign('main_widget_menu_advanced', $menuData);
		
		$this->layout_object->display('main_widget_menu.tpl');
		exit();
	}
}
